/* &L(0,"*",1); */
/* *** SUPPORTED DEVICES, to keep aligned with BCL code *** */
var A100=7;
var E100=14;
var E200=15;
var A1000=17;
var A200=19;
var E110=20;
var APS16=25;
var A155=32;
var E120=34;
var EP5=36;
var E105=37;
var E205=38;
var A60=41;
var APS1=42;

var KL_NONE=0;
var KL_PS16=1;
var KL_A100=2;
var KL_A100X8=3;
var KL_A1000=4;
var KL_A1000X8=5;
var KL_TOA=6;
var KL_A60=7; 

var gHT=&LState(1,"%u",28);;
var gDT,gKL;
var gNXT=&LSetup(1,"%u",600);;

var gUIMODE;
var uimode_master=0;
var uimode_endpoint=1;
var uimode_gateway=2;

function detectHW ()
{
	if (&LSetup(1,"%u",180);==115) {
		/* it is a gateway */
		gUIMODE=uimode_gateway;
		gKL=KL_NONE;
		gDT=1;   // master
	}
	else {
		// mode
		switch (gHT) {
			case EP5:
			case E100:
			case E105:
			case E110:
			case E120:
			case E200:
			case E205:
			case A100:
			case A200:
				gUIMODE=uimode_endpoint;
				gDT=2;
			break;
			case A60:
			case APS1:
			case APS16:
				gUIMODE=uimode_master;
				gDT=1;   // master
			break;
			default:
				gUIMODE=uimode_endpoint;
				gDT=0;   // unsupported
			break;
		}
		// keyboard layout
		switch (gHT) {
			default:    gKL=KL_NONE;  break;
			case A60:   
				if (gNXT == 0){
					gKL=KL_A60;
				}else{
					// we are using Nextion Panel, so provide webUI
					// interface with 16 buttons
					gKL=KL_PS16;
				}  
				break;
			case APS1:  gKL=KL_A100;  break;
			case APS16: gKL=KL_PS16;  break;
		}
	}
}
